function [SAinp,SAout,T] = fem_2_respSpec(Sinp,Sout,dt,FNO)

% -------------------------------------------------------------------------

damping_ = 0.05;

T     = [0:2*dt:2];
SAinp = resp_spec(Sinp,dt,T,damping_);
SAout = resp_spec(Sout,dt,T,damping_);


figure(FNO)
plot(T,SAinp,'r-',T,SAout,'b-');

title('Response spectra')
xlabel('Period, T [sec]'); ylabel('SA, [accel.]'); 
legend('SA input','SA response')
